Bug 1342412 (CVE-2016-4474) - CVE-2016-4474 overcloud-full: Default root password set
Summary: CVE-2016-4474 overcloud-full: Default root password set
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-4474
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20160613,repo...
Depends On: 1342415 1342416 1342417
Blocks: 1342414
TreeView+ depends on / blocked
 
Reported: 2016-06-03 08:46 UTC by Andrej Nemec
Modified: 2019-06-08 21:14 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
An issue was discovered in the image build process for the overcloud images, as used by director, resulting in all previous images to have a default root password of "rootpw". Remote root access via SSH is disabled by default.
Clone Of:
Environment:
Last Closed: 2016-06-21 04:21:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1222 normal SHIPPED_LIVE Important: rhosp-director-images security and bug fix update 2016-06-13 23:30:48 UTC
Red Hat Product Errata RHSA-2016:1223 normal SHIPPED_LIVE Important: rhosp-director-images security and bug fix update 2016-06-14 01:25:28 UTC

Description Andrej Nemec 2016-06-03 08:46:26 UTC
A vulnerability was found in the overcloud-full images. A default root password is set.

The build process for the input and utility images is a simple kickstart build process.

The image build process for the shipping images involves booting the "utility" image in a VM and running commands on the image. The commands take the input image as a seed RHEL image and customizes it for our use case installing all the relevant OpenStack packages.

The problem in this case is that our kickstart for the input image has:

rootpw ROOTPW

Comment 3 Garth Mollett 2016-06-09 07:59:10 UTC
Acknowledgments:

Name: David Patterson (Dell)

Comment 4 errata-xmlrpc 2016-06-13 19:31:00 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 8.0 (Liberty) director

Via RHSA-2016:1222 https://access.redhat.com/errata/RHSA-2016:1222

Comment 5 errata-xmlrpc 2016-06-13 21:25:41 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux OpenStack Platform director 7.0 for RHEL 7

Via RHSA-2016:1223 https://access.redhat.com/errata/RHSA-2016:1223


Note You need to log in before you can comment on or make changes to this bug.